Project

General

Profile

Bug #12127

calamari virtualenv aplies SWIG flag cerrosaswarn too broadly

Added by Christina Meno about 6 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Backend (packaging/deployment)
Target version:
% Done:

0%

Source:
other
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Crash signature (v1):
Crash signature (v2):

Description

in https://github.com/ceph/calamari/pull/299
we added https://github.com/joehandzik/calamari/commit/23523483ca74f5f1474e0eac836e6eb58d8b9c38
to allow m2crypto to be built in centos7

other requirements in requirements.txt will get the same treatment and could fail silently.

The options come to mind for fixing this (in order of preference):
1. treat m2crypto as a system level package dependency
2. fix whatever is broken in m2crypto upstream
3. narrow the salt to build just m2crypto with this flag

Also available in: Atom PDF